# -*- coding: utf-8 -*-
import pymel.core as pm
import mtoa.utils as utils
import mtoa.ui.ae.utils as aeUtils
from mtoa.ui.ae.shaderTemplate import ShaderAETemplate


class AEaiThinFilmTemplate(ShaderAETemplate):

   
    def setup(self):
        self.addSwatch()
       
        self.beginScrollLayout()
        
        self.beginLayout('厚度', collapse=False)
        self.addControl('thicknessMin', label='最小厚度 (nm)')
        self.addControl('thicknessMax', label='最大厚度 (nm)')
        self.addControl('thickness', label='厚度')
        self.endLayout()

        self.beginLayout('IOR', collapse=False)
        self.addControl('iorMedium', label='中等IOR')
        self.addControl('iorFilm', label='薄膜IOR')
        self.addControl('iorInternal', label='内部IOR')       
        self.endLayout()

        # include/call base class/node attributes
        pm.mel.AEdependNodeTemplate(self.nodeName)
        
        self.addExtraControls()
        
        self.endScrollLayout()
